"
 COPYRIGHT (c) 1998 by Andreas Vogel
 COPYRIGHT (c) 1998 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"


Object subclass:#GridBagLayoutInfo
	instanceVariableNames:'width height startX startY minWidth minHeight weightX weightY'
	classVariableNames:''
	poolDictionaries:''
	category:'Views-Support'
!

!GridBagLayoutInfo class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 1998 by Andreas Vogel
 COPYRIGHT (c) 1998 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

!

documentation
"
    This is a helper class for the GridBagLayoutView and not usable for general purposes.

    Instance variables:

	int     width, height          number of cells horizontally, vertically 
	int     startx, starty         starting point for layout 
	int     minWidth[]             largest minWidth in each column 
	int     minHeight[]            largest minHeight in each row 
	double  weightX[]              largest weight in each column 
	double  weightY[]              largest weight in each row 

    [see also:]
	GridBagLayoutView

    [author:]
	Andreas Vogel
"
! !

!GridBagLayoutInfo methodsFor:'accessing'!

height
    "return the value of the instance variable 'height' (automatically generated)"

    ^ height

    "Created: / 17.1.1998 / 14:32:39 / av"
!

height:something
    "set the value of the instance variable 'height' (automatically generated)"

    height := something.

    "Created: / 17.1.1998 / 14:32:39 / av"
!

minHeight
    "return the value of the instance variable 'minHeight' (automatically generated)"

    ^ minHeight

    "Created: / 17.1.1998 / 14:32:39 / av"
!

minHeight:something
    "set the value of the instance variable 'minHeight' (automatically generated)"

    minHeight := something.

    "Created: / 17.1.1998 / 14:32:39 / av"
!

minWidth
    "return the value of the instance variable 'minWidth' (automatically generated)"

    ^ minWidth

    "Created: / 17.1.1998 / 14:32:39 / av"
!

minWidth:something
    "set the value of the instance variable 'minWidth' (automatically generated)"

    minWidth := something.

    "Created: / 17.1.1998 / 14:32:39 / av"
!

startX
    "return the value of the instance variable 'startX' (automatically generated)"

    ^ startX

    "Created: / 17.1.1998 / 14:32:39 / av"
!

startX:something
    "set the value of the instance variable 'startX' (automatically generated)"

    startX := something.

    "Created: / 17.1.1998 / 14:32:39 / av"
!

startY
    "return the value of the instance variable 'startY' (automatically generated)"

    ^ startY

    "Created: / 17.1.1998 / 14:32:39 / av"
!

startY:something
    "set the value of the instance variable 'startY' (automatically generated)"

    startY := something.

    "Created: / 17.1.1998 / 14:32:39 / av"
!

weightX
    "return the value of the instance variable 'weightX' (automatically generated)"

    ^ weightX

    "Created: / 17.1.1998 / 14:32:39 / av"
!

weightX:something
    "set the value of the instance variable 'weightX' (automatically generated)"

    weightX := something.

    "Created: / 17.1.1998 / 14:32:39 / av"
!

weightY
    "return the value of the instance variable 'weightY' (automatically generated)"

    ^ weightY

    "Created: / 17.1.1998 / 14:32:39 / av"
!

weightY:something
    "set the value of the instance variable 'weightY' (automatically generated)"

    weightY := something.

    "Created: / 17.1.1998 / 14:32:39 / av"
!

width
    "return the value of the instance variable 'width' (automatically generated)"

    ^ width

    "Created: / 17.1.1998 / 14:32:39 / av"
!

width:something
    "set the value of the instance variable 'width' (automatically generated)"

    width := something.

    "Created: / 17.1.1998 / 14:32:39 / av"
! !

!GridBagLayoutInfo methodsFor:'initialization'!

initialize

    super initialize.

    minWidth  := IdentityDictionaryWithDefault newWithDefaultValue:0.
    minHeight := IdentityDictionaryWithDefault newWithDefaultValue:0.

    weightX   := IdentityDictionaryWithDefault newWithDefaultValue:0.0.
    weightY   := IdentityDictionaryWithDefault newWithDefaultValue:0.0.

    "Created: / 17.1.1998 / 14:32:30 / av"
    "Modified: / 20.1.1998 / 16:50:16 / av"
! !

!GridBagLayoutInfo class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libwidg2/GridBagLayoutInfo.st,v 1.2 1999-07-06 16:49:14 cg Exp $'
! !
